Skip to main content
GET
Get Run Job Lifecycle

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Api-key
string | null

Path Parameters

pipeline_id
string<uuid>
required
run_id
string<uuid>
required

Query Parameters

job_name
string
required

Response

Successful Response

Bounded lifecycle for the latest trusted attempt of one logical job.

job_name
string
required
execution_status
enum<string>
required
Available options:
not_started,
queued,
running,
succeeded,
failed,
omitted,
unknown
last_confirmed_phase
enum<string> | null
Available options:
job_queued,
compute_acquired,
workload_container_started,
supervisor_started,
job_started,
batch_queued,
batch_compute_acquired,
batch_started,
batch_ended,
job_ended
timeline
PipelineJobLifecyclePublicObservationRead · object[]